org.codehaus.plexus

## Interface MutablePlexusContainer

All Superinterfaces:
  PlexusContainer

All Known Implementing Classes:
  DefaultPlexusContainer

    public interface MutablePlexusContainer
    extends PlexusContainer

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.PlexusContainer

`ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.codehaus.plexus.classworlds.ClassWorld` `getClassWorld()`
`ComponentDiscovererManager` `getComponentDiscovererManager()`
`ComponentFactoryManager` `getComponentFactoryManager()`
`org.codehaus.plexus.classworlds.realm.ClassRealm` `getComponentRealm(java.lang.String realmId)`
`ComponentRegistry` `getComponentRegistry()`
`PlexusConfiguration` `getConfiguration()`
`ConfigurationSource` `getConfigurationSource()`
`Logger` `getLogger()`
`LoggerManager` `getLoggerManager()`
`void` `setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)`
`void` `setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)`
`void` `setComponentRegistry(ComponentRegistry componentRegistry)`
`void` `setConfiguration(PlexusConfiguration configuration)`
`void` `setConfigurationSource(ConfigurationSource configurationSource)`
`void` `setLoggerManager(LoggerManager loggerManager)`

### Methods inherited from interface org.codehaus.plexus.PlexusContainer

`addComponent, addComponentDescriptor, addContextValue, createChildRealm, discoverComponents, dispose, getComponentDescriptor, getComponentDescriptor, getComponentDescriptor, getComponentDescriptorList, getComponentDescriptorList, getComponentDescriptorMap, getComponentDescriptorMap, getContainerRealm, getContext, getLookupRealm, getLookupRealm, hasComponent, hasComponent, hasComponent, hasComponent, hasComponent, lookup, lookup, lookup, lookup, lookup, lookupList, lookupList, lookupList, lookupList, lookupMap, lookupMap, lookupMap, lookupMap, registerComponentDiscoveryListener, release, releaseAll, releaseAll, removeComponentDiscoveryListener, removeComponentRealm, setLookupRealm`

### Method Detail

#### getComponentRegistry

    ComponentRegistry getComponentRegistry()

#### setComponentRegistry

    void setComponentRegistry(ComponentRegistry componentRegistry)

#### getComponentDiscovererManager

    ComponentDiscovererManager getComponentDiscovererManager()

#### setComponentDiscovererManager

    void setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)

#### getComponentFactoryManager

    ComponentFactoryManager getComponentFactoryManager()

#### setComponentFactoryManager

    void setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)

#### getLoggerManager

    LoggerManager getLoggerManager()

#### setLoggerManager

    void setLoggerManager(LoggerManager loggerManager)

#### getLogger

    Logger getLogger()

#### setConfigurationSource

    void setConfigurationSource(ConfigurationSource configurationSource)

#### getConfigurationSource

    ConfigurationSource getConfigurationSource()

#### setConfiguration

    void setConfiguration(PlexusConfiguration configuration)

#### getConfiguration

    PlexusConfiguration getConfiguration()

#### getComponentRealm

    org.codehaus.plexus.classworlds.realm.ClassRealm getComponentRealm(java.lang.String realmId)

Specified by:
  `getComponentRealm` in interface `PlexusContainer`

#### getClassWorld

    org.codehaus.plexus.classworlds.ClassWorld getClassWorld()